#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_RobotCFGData
{
	//key
	std::string mKey;
	//ÊýÖµ
	int mValue;
};

class Fish_RobotCFG
{
public:
private:
	static std::auto_ptr<Fish_RobotCFG> msSingleton;
public:
	int GetCount();
	const Fish_RobotCFGData* GetData(std::string Key);
	boost::unordered_map<std::string, Fish_RobotCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_RobotCFG* GetSingleton();
private:
	boost::unordered_map<std::string, Fish_RobotCFGData> mMapData;
};
